Loading...
Searching...
No Matches
trtri_diag: Invert diagonal blocks of triangular matrix; used in trsm
Dense LA » MAGMA BLAS and Auxiliary » Level 3: matrix-matrix operations, O(n^3) work

## Functions

void | magmablas_ctrtri_diag (magma_uplo_t uplo, magma_diag_t diag, magma_int_t n, magmaFloatComplex_const_ptr dA, magma_int_t ldda, magmaFloatComplex_ptr d_dinvA, magma_queue_t queue)
| ctrtri_diag inverts the NB x NB diagonal blocks of A.
void | magmablas_dtrtri_diag (magma_uplo_t uplo, magma_diag_t diag, magma_int_t n, magmaDouble_const_ptr dA, magma_int_t ldda, magmaDouble_ptr d_dinvA, magma_queue_t queue)
| dtrtri_diag inverts the NB x NB diagonal blocks of A.
void | magmablas_strtri_diag (magma_uplo_t uplo, magma_diag_t diag, magma_int_t n, magmaFloat_const_ptr dA, magma_int_t ldda, magmaFloat_ptr d_dinvA, magma_queue_t queue)
| strtri_diag inverts the NB x NB diagonal blocks of A.
void | magmablas_ztrtri_diag (magma_uplo_t uplo, magma_diag_t diag, magma_int_t n, magmaDoubleComplex_const_ptr dA, magma_int_t ldda, magmaDoubleComplex_ptr d_dinvA, magma_queue_t queue)
| ztrtri_diag inverts the NB x NB diagonal blocks of A.

## Detailed Description

## Function Documentation

## magmablas_ctrtri_diag()

void magmablas_ctrtri_diag | ( | magma_uplo_t | uplo,
|  | magma_diag_t | diag,
|  | magma_int_t | n,
|  | magmaFloatComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloatComplex_ptr | d_dinvA,
|  | magma_queue_t | queue )

ctrtri_diag inverts the NB x NB diagonal blocks of A.

Parameters

  [in]

  uplo

  magma_uplo_t. On entry, uplo specifies whether the matrix A is an upper or lower triangular matrix as follows:
  - = MagmaUpper: A is an upper triangular matrix.
  - = MagmaLower: A is a lower triangular matrix.

  [in]

  diag

  magma_diag_t. On entry, diag specifies whether or not A is unit triangular as follows:
  - = MagmaUnit: A is assumed to be unit triangular.
  - = MagmaNonUnit: A is not assumed to be unit triangular.

  [in] | n | INTEGER. On entry, n specifies the order of the matrix A. N >= 0.

  [in]

  dA

  COMPLEX array of dimension ( ldda, n ) The triangular matrix A.
  If UPLO = MagmaUpper, the leading N-by-N upper triangular part of A contains the upper triangular matrix, and the strictly lower triangular part of A is not referenced.
  If UPLO = MagmaLower, the leading N-by-N lower triangular part of A contains the lower triangular matrix, and the strictly upper triangular part of A is not referenced.
  If DIAG = MagmaUnit, the diagonal elements of A are also not referenced and are assumed to be 1.

  [in] | ldda | INTEGER. The leading dimension of the array A. LDDA >= max(1,N).
  [out] | d_dinvA | COMPLEX array of dimension (NB, ceil(n/NB)*NB), where NB = 128. On exit, contains inverses of the NB-by-NB diagonal blocks of A.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dtrtri_diag()

void magmablas_dtrtri_diag | ( | magma_uplo_t | uplo,
|  | magma_diag_t | diag,
|  | magma_int_t | n,
|  | magmaDouble_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | d_dinvA,
|  | magma_queue_t | queue )

dtrtri_diag inverts the NB x NB diagonal blocks of A.

Parameters

  [in]

  uplo

  magma_uplo_t. On entry, uplo specifies whether the matrix A is an upper or lower triangular matrix as follows:
  - = MagmaUpper: A is an upper triangular matrix.
  - = MagmaLower: A is a lower triangular matrix.

  [in]

  diag

  magma_diag_t. On entry, diag specifies whether or not A is unit triangular as follows:
  - = MagmaUnit: A is assumed to be unit triangular.
  - = MagmaNonUnit: A is not assumed to be unit triangular.

  [in] | n | INTEGER. On entry, n specifies the order of the matrix A. N >= 0.

  [in]

  dA

  DOUBLE PRECISION array of dimension ( ldda, n ) The triangular matrix A.
  If UPLO = MagmaUpper, the leading N-by-N upper triangular part of A contains the upper triangular matrix, and the strictly lower triangular part of A is not referenced.
  If UPLO = MagmaLower, the leading N-by-N lower triangular part of A contains the lower triangular matrix, and the strictly upper triangular part of A is not referenced.
  If DIAG = MagmaUnit, the diagonal elements of A are also not referenced and are assumed to be 1.

  [in] | ldda | INTEGER. The leading dimension of the array A. LDDA >= max(1,N).
  [out] | d_dinvA | DOUBLE PRECISION array of dimension (NB, ceil(n/NB)*NB), where NB = 128. On exit, contains inverses of the NB-by-NB diagonal blocks of A.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_strtri_diag()

void magmablas_strtri_diag | ( | magma_uplo_t | uplo,
|  | magma_diag_t | diag,
|  | magma_int_t | n,
|  | magmaFloat_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | d_dinvA,
|  | magma_queue_t | queue )

strtri_diag inverts the NB x NB diagonal blocks of A.

Parameters

  [in]

  uplo

  magma_uplo_t. On entry, uplo specifies whether the matrix A is an upper or lower triangular matrix as follows:
  - = MagmaUpper: A is an upper triangular matrix.
  - = MagmaLower: A is a lower triangular matrix.

  [in]

  diag

  magma_diag_t. On entry, diag specifies whether or not A is unit triangular as follows:
  - = MagmaUnit: A is assumed to be unit triangular.
  - = MagmaNonUnit: A is not assumed to be unit triangular.

  [in] | n | INTEGER. On entry, n specifies the order of the matrix A. N >= 0.

  [in]

  dA

  REAL array of dimension ( ldda, n ) The triangular matrix A.
  If UPLO = MagmaUpper, the leading N-by-N upper triangular part of A contains the upper triangular matrix, and the strictly lower triangular part of A is not referenced.
  If UPLO = MagmaLower, the leading N-by-N lower triangular part of A contains the lower triangular matrix, and the strictly upper triangular part of A is not referenced.
  If DIAG = MagmaUnit, the diagonal elements of A are also not referenced and are assumed to be 1.

  [in] | ldda | INTEGER. The leading dimension of the array A. LDDA >= max(1,N).
  [out] | d_dinvA | REAL array of dimension (NB, ceil(n/NB)*NB), where NB = 128. On exit, contains inverses of the NB-by-NB diagonal blocks of A.
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_ztrtri_diag()

void magmablas_ztrtri_diag | ( | magma_uplo_t | uplo,
|  | magma_diag_t | diag,
|  | magma_int_t | n,
|  | magmaDoubleComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDoubleComplex_ptr | d_dinvA,
|  | magma_queue_t | queue )

ztrtri_diag inverts the NB x NB diagonal blocks of A.

Parameters

  [in]

  uplo

  magma_uplo_t. On entry, uplo specifies whether the matrix A is an upper or lower triangular matrix as follows:
  - = MagmaUpper: A is an upper triangular matrix.
  - = MagmaLower: A is a lower triangular matrix.

  [in]

  diag

  magma_diag_t. On entry, diag specifies whether or not A is unit triangular as follows:
  - = MagmaUnit: A is assumed to be unit triangular.
  - = MagmaNonUnit: A is not assumed to be unit triangular.

  [in] | n | INTEGER. On entry, n specifies the order of the matrix A. N >= 0.

  [in]

  dA

  COMPLEX_16 array of dimension ( ldda, n ) The triangular matrix A.
  If UPLO = MagmaUpper, the leading N-by-N upper triangular part of A contains the upper triangular matrix, and the strictly lower triangular part of A is not referenced.
  If UPLO = MagmaLower, the leading N-by-N lower triangular part of A contains the lower triangular matrix, and the strictly upper triangular part of A is not referenced.
  If DIAG = MagmaUnit, the diagonal elements of A are also not referenced and are assumed to be 1.

  [in] | ldda | INTEGER. The leading dimension of the array A. LDDA >= max(1,N).
  [out] | d_dinvA | COMPLEX_16 array of dimension (NB, ceil(n/NB)*NB), where NB = 128. On exit, contains inverses of the NB-by-NB diagonal blocks of A.
  [in] | queue | magma_queue_t Queue to execute in.